import type { SudokuBoard } from './types';
/**
 * Create a sudoku board (two-dimensional array).
 * @param SUDOKU_SIZE
 */
export declare function createSudokuBoard(SUDOKU_SIZE: number): SudokuBoard;
/**
 * Fill the sudoku board with the given value.
 * @param board
 * @param v
 * @param SUDOKU_SIZE
 */
export declare function fillSudokuBoard(board: SudokuBoard, v: number, SUDOKU_SIZE?: number): void;
/**
 * Copy sudoku board from `src` to `dst`.
 * @param src
 * @param dst
 * @param SUDOKU_SIZE
 */
export declare function copySudokuBoard(src: Readonly<SudokuBoard>, dst: SudokuBoard, SUDOKU_SIZE?: number): void;
/**
 * Check if the solution of the given Sudoku game is a valid solution.
 *
 * @param solution
 * @param SUDOKU_SIZE_SQRT
 * @returns
 */
export declare function checkSudokuSolution(solution: SudokuBoard, SUDOKU_SIZE_SQRT: number): boolean;
